## org.eclipse.datatools.sqltools.routineeditor.launching
Interface RoutineLaunchConfigurationAttribute

All Known Implementing Classes:
  ConnectionLevelOptionsTab, LaunchHelper

    public interface RoutineLaunchConfigurationAttribute

Currently, we can have the following combinations. 1. External ROUTINE_LAUNCH_PROFILENAME ROUTINE_LAUNCH_EXTERNALID 2. SP/UDF ROUTINE_LAUNCH_PROFILENAME ROUTINE_LAUNCH_TYPE 0 ROUTINE_LAUNCH_PROCID ROUTINE_LAUNCH_PARAMETERS 3. Event ROUTINE_LAUNCH_PROFILENAME ROUTINE_LAUNCH_TYPE 0 ROUTINE_LAUNCH_PROCID ROUTINE_LAUNCH_EVENTPARAM 4. Adhoc SQL ROUTINE_LAUNCH_PROFILENAME ROUTINE_LAUNCH_TYPE 3 ROUTINE_LAUNCH_ADHOCSQL 5. Trigger ROUTINE_LAUNCH_PROFILENAME ROUTINE_LAUNCH_TYPE 0 ROUTINE_LAUNCH_SQL

Author:
  Samir Nigam, Yang Liu

Field Summary
`static java.lang.String` `ROUTINE_LAUNCH_CONFIGURATION_NAME`
`static java.lang.String` `ROUTINE_LAUNCH_CONFIGURATION_NUM`
`static java.lang.String` `ROUTINE_LAUNCH_CONFIGURATION_TYPE`
`static java.lang.String` `ROUTINE_LAUNCH_DATABASENAME`
`static java.lang.String` `ROUTINE_LAUNCH_EVENTPARAMS`
`static java.lang.String` `ROUTINE_LAUNCH_EXTERNALID` when is ASA, this is the connId.
`static java.lang.String` `ROUTINE_LAUNCH_OPTION_TYPE`
`static java.lang.String` `ROUTINE_LAUNCH_PARAMETERS`
`static java.lang.String` `ROUTINE_LAUNCH_PROCID`
`static java.lang.String` `ROUTINE_LAUNCH_PROFILENAME`
`static java.lang.String` `ROUTINE_LAUNCH_SQL`
`static java.lang.String` `ROUTINE_LAUNCH_TYPE`

Field Detail

### ROUTINE_LAUNCH_CONFIGURATION_TYPE

    static final java.lang.String ROUTINE_LAUNCH_CONFIGURATION_TYPE

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_PROFILENAME

    static final java.lang.String ROUTINE_LAUNCH_PROFILENAME

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_DATABASENAME

    static final java.lang.String ROUTINE_LAUNCH_DATABASENAME

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_EXTERNALID

    static final java.lang.String ROUTINE_LAUNCH_EXTERNALID

  when is ASA, this is the connId. When ASE, this is spid.

  See Also:
    Constant Field Values

### ROUTINE_LAUNCH_TYPE

    static final java.lang.String ROUTINE_LAUNCH_TYPE

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_PROCID

    static final java.lang.String ROUTINE_LAUNCH_PROCID

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_SQL

    static final java.lang.String ROUTINE_LAUNCH_SQL

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_PARAMETERS

    static final java.lang.String ROUTINE_LAUNCH_PARAMETERS

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_EVENTPARAMS

    static final java.lang.String ROUTINE_LAUNCH_EVENTPARAMS

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_OPTION_TYPE

    static final java.lang.String ROUTINE_LAUNCH_OPTION_TYPE

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_CONFIGURATION_NUM

    static final java.lang.String ROUTINE_LAUNCH_CONFIGURATION_NUM

See Also:
  Constant Field Values

### ROUTINE_LAUNCH_CONFIGURATION_NAME

    static final java.lang.String ROUTINE_LAUNCH_CONFIGURATION_NAME

See Also:
  Constant Field Values